6:14 PM
0
Q: 18.04: Cannot install texlive-full

Manuel UbertiI freshly installed Ubuntu 18.04 last week, meaning I have not upgraded from 16.04, rather formatted the hard drive and installed 18.04. I am trying to install texlive-full, but whenever I use: sudo apt install texlive-full this is what I get: Reading package lists... Done Building dependenc...

 
What is the output of apt-cache policy texlive-full (add to question)?
 
@N0rbert added the requested information. And @SorenA: yes, I did run sudo apt update before trying to install.
 
Check images in my other answer - do you have enabled all software sources? Also I recommend to switch to Main server.
 
Switched to Main Server. Did sudo apt update. Still same error.
@N0rbert also yes, I have enabled all the software sources.
 
Try to remove all apt-lists with sudo rm -rf /var/lib/apt/lists/* and then retry sudo apt update, sudo apt install texlive-full.
 
6:14 PM
Same error again.
 
Do you have any PPAs added? On clean Bionic install I can install texlive without problems.
 
Yes, but nothing related to TeX/LaTeX
ls -lah /etc/apt/sources.list.d/
Permissions Size User Date Modified Name
.rw-r--r-- 144 root 9 mag 19:56 fish-shell-ubuntu-release-2-bionic.list
.rw-r--r-- 144 root 9 mag 19:56 fish-shell-ubuntu-release-2-bionic.list.save
.rw-r--r-- 118 root 9 mag 19:56 hvr-ubuntu-ghc-bionic.list
.rw-r--r-- 118 root 9 mag 19:56 hvr-ubuntu-ghc-bionic.list.save
.rw-r--r-- 124 root 9 mag 14:14 moka-ubuntu-daily-bionic.list.save
.rw-r--r-- 146 root 9 mag 19:56 nextcloud-devs-ubuntu-client-bionic.list
I tried this one, which was the one I was using on Xenial, but there is no support for Bionic until October: launchpad.net/~jonathonf/+archive/ubuntu/texlive
So I just removed it.
 
What is the output of dpkg -l | grep york?
 
dpkg -l | grep york
ii libkpathsea6:amd64 2018.20180129.46472-0york1~16.04 amd64 TeX Live: path search library for TeX (runtime part
 
I suspect that this package is the problem. Let's remove it with sudo apt purge libkpathsea6. And then sudo apt install texlive-full.
 
6:21 PM
If I do that, I lose evince too:
sudo apt purge libkpathsea6
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED
evince* libevdocument3-4* libevview3-3* libkpathsea6*
0 to upgrade, 0 to newly install, 4 to remove and 0 not to upgrade.
After this operation, 2.350 kB disk space will be freed.
Do you want to continue? [Y/n]
 
We will reinstall evince then.
 
It worked (and I reinstalled evince too). If you add your latest suggestion as a reply to my question I can mark it as answered. :)
Thanks a lot!
Or just tell me if you want me to do it. As you wish. :)
oh I saw your answer. Thanks again for the help, much appreciated.
 
Posted my answer.
You are welcome.